Summary: Chinese lexicons library for xcin-2.5.2
Name: libtabe
Version: 0.2
Release: 6
Copyright: Redistributable
Group: User Interface/X
Source0: ftp://xcin.linux.org.tw/pub/xcin/libtabe/devel/%{name}-%{version}.tar.gz 
Source1: libtabe-ia64-tsi.db
Source2: libtabe-ia64-yin.db
Patch0: tsiadd.c-patch
URL: http://libtabe.sourceforge.net/
Buildroot: /var/tmp/libtabe-root
Requires: db2
BuildRequires: db2-devel
Obsoletes: libtabe-tsi

%description
Chinese lexicons library for xcin-2.5's bimsphone input method.

%package devel
Summary: Header files and libraries for developing apps which will use libtabe
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
Chinese lexicons library for xcin-2.5's bimsphone input method.

%prep
%setup -q -n libtabe
%patch0 -p1 -b .tsiadd

%build
%ifarch ia64 alpha s390 s390x
cp /usr/share/libtool/config.sub $RPM_BUILD_DIR/libtabe/script
cp /usr/share/libtool/config.guess $RPM_BUILD_DIR/libtabe/script
%endif
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
./configure --enable-shared --prefix=/usr --with-dbinc=/usr/include/db2
make
%ifarch ia64
cp %{SOURCE1} $RPM_BUILD_DIR/libtabe/src/tsi-src/tsi.db
cp %{SOURCE2} $RPM_BUILD_DIR/libtabe/src/tsi-src/yin.db
%endif

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

export prefix=$RPM_BUILD_ROOT/usr
make -e install

# make link so that xcin-2.5 can use yin.db and tsi.db
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xcin/tab/big5
ln -sf ../../../../../../share/tabe/tsiyin/tsi.db \
	$RPM_BUILD_ROOT/usr/X11R6/lib/X11/xcin/tab/big5/tsi.db
ln -sf ../../../../../../share/tabe/tsiyin/yin.db \
	$RPM_BUILD_ROOT/usr/X11R6/lib/X11/xcin/tab/big5/yin.db

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING  doc/libtabe.sgml
/usr/share/tabe
/usr/lib/*.so.*
/usr/bin/*
/usr/X11R6/lib/X11/xcin/tab/big5/yin.db
/usr/X11R6/lib/X11/xcin/tab/big5/tsi.db
%files devel
%defattr(-,root,root)
/usr/include/*
/usr/lib/*.so
/usr/lib/*.a

%clean 
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Jun 27 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add s390,s390x

* Tue Jun 26 2001 Yukihiro Nakai <ynakai@redhat.com>
- Add Requires line

* Tue Jun 19 2001 Yukihiro Nakai <ynakai@redhat.com>
- Support for Alpha

* Mon Jun 18 2001 Yukihiro Nakai <ynakai@redhat.com>
- Add ia64 fix

* Sun Dec 17 2000 Jason Wilson <jwilson@redhat.com>
- Fixed release tag

* Sat Dec 17 2000 David Joo <djoo@redht.com>
- Added %post and %postun script
- Changed Group

* Tue Dec 05 2000 Chung-Yen Chang <candyz@cle.linux.org.tw>
- update to 0.2
- add tsiadd.c-1203 patch
- Add URL Requires BuildRequires
- split packages

* Mon Oct 30 2000 Chung-Yen Chang <candyz@cle.linux.org.tw>
- update to 0.1.9

* Mon Oct 16 2000 Chung-Yen Chang <candyz@cle.linux.org.tw>
- update to 0.1.8

* Sun Oct 08 2000 Chung-Yen Chang <candyz@cle.linux.org.tw>
- update to 0.1.7

* Mon Sep 04 2000 Chung-Yen Chang <candyz@cle.linux.org.tw>
- change xcin tab dir

* Fri Apr 21 2000 Andrew Lee <andrew@cle.linux.org.tw>
- rebuild for redhat-6.2
- change xcin directory to /usr/X11R6/lib/X11/xcin/

* Tue Feb 29 2000 Chih-Wei Huang <cwhuang@linux.org.tw>
- 0.1-2

* Fri Feb 18 2000 Andrew Lee <andrew@cle.linux.org.tw>
- 0.1_0.1-1.diff

* Sat Feb 12 2000 Andrew Lee <andrew@cle.linux.org.tw>
- libtabe-0.1-20000209.diff thanks to jouston <jouston@i18n.linux.org.tw>

* Tue Feb 09 2000 Andrew Lee <andrew@cle.linux.org.tw>
- libtabe-0.1-20000208.diff

* Thu Feb 04 2000 Andrew Lee <andrew@cle.linux.org.tw>
- add libtabe.diff.20000202

* Tue Jan 25 2000 Andrew Lee <andrew@cle.linux.org.tw>
- add bimsphone module patch

* Mon Jan 24 2000 Andrew Lee <andrew@cle.linux.org.tw>
- update libtabe-0.1

* Wed Dec 15 1999 Andrew Lee <andrew@cle.linux.org.tw>
- update libtabe-0.1-pre8

* Thu Nov 29 1999 Andrew Lee <andrew@cle.linux.org.tw>
- update libtabe-0.1-pre7

* Thu Nov 25 1999 Andrew Lee <andrew@cle.linux.org.tw>
- rebuild for Mandrake
- update libtabe-0.1-pre6

* Thu Aug 26 1999 Cheng Yuan-Cheng <platin@linux.org.tw>
- rebuild for libtabe-0.1-pre2
- a indepent package with tsiyin-src and tabe library..

* Sat Jun 19 1999 Cheng Yuan-Cheng <platin@cle.linux.org.tw>
- from libtabe-tsi-src.tar.gz for xcin-2.5.0
